<?php
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if (post_password_required()) {
    return;
}
?>

<div id="comments" class="comments-area">

    <?php // You can start editing here -- including this comment!
    ?>

    <?php if (have_comments()) : ?>
        <h2 class="comments-title">
            <?php
            $comments_number = get_comments_number();
            if ('1' === $comments_number) {
                /* translators: %s: post title */
                printf(_x('One Comment to &ldquo;%s&rdquo;', 'comments title', 'instock-lite'), get_the_title());
            } else {
                printf(
                    /* translators: 1: number of comments, 2: post title */
                    _nx(
                        '%1$s Comment to &ldquo;%2$s&rdquo;',
                        '%1$s Comments to &ldquo;%2$s&rdquo;',
                        $comments_number,
                        'comments title',
                        'instock-lite'
                    ),
                    number_format_i18n($comments_number),
                    esc_attr(get_the_title())
                );
            }
            ?>
        </h2>

        <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // are there comments to navigate through
        ?>
            <nav id="comment-nav-above" class="comment-navigation" role="navigation">
                <h1 class="screen-reader-text"><?php esc_html_e('Comment navigation', 'instock-lite'); ?></h1>
                <div class="nav-previous"><?php previous_comments_link(esc_html__('&larr; Older Comments', 'instock-lite')); ?></div>
                <div class="nav-next"><?php next_comments_link(esc_html__('Newer Comments &rarr;', 'instock-lite')); ?></div>
            </nav><!-- #comment-nav-above -->
        <?php endif; // check for comment navigation
        ?>

        <ol class="commentlist">
            <?php wp_list_comments(array('callback' => 'instock_lite_comment', 'style' => 'ol')); ?>
        </ol><!-- .comment-list -->

        <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // are there comments to navigate through
        ?>
            <nav id="comment-nav-below" class="comment-navigation" role="navigation">
                <h1 class="screen-reader-text"><?php esc_html_e('Comment navigation', 'instock-lite'); ?></h1>
                <div class="nav-previous"><?php previous_comments_link(esc_html__('&larr; Older Comments', 'instock-lite')); ?></div>
                <div class="nav-next"><?php next_comments_link(esc_html__('Newer Comments &rarr;', 'instock-lite')); ?></div>
            </nav><!-- #comment-nav-below -->
        <?php endif; // check for comment navigation
        ?>

    <?php endif; // have_comments()
    ?>

    <?php
    // If comments are closed and there are comments, let's leave a little note, shall we?
    if (!comments_open() && '0' != get_comments_number() && post_type_supports(get_post_type(), 'comments')) :
    ?>
        <p class="no-comments"><?php esc_html_e('Comments are closed.', 'instock-lite'); ?></p>
    <?php endif; ?>

    <?php comment_form(
        array(
            'comment_notes_after'  => false,
            'comment_notes_before' => false,
            'title_reply'          => esc_html__('Post Comment', 'instock-lite')
        )
    ); ?>

</div><!-- #comments -->
